- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Data Fields
_Elm_Gen_Item_Class Struct Reference

Elm_Gen_Item_Class member definitions More...

## Data Fields
int | version
| Set by elementary if you alloc an item class using elm_genlist/gengrid_item_class_new(), or if you set your own class (must be const) then set it to ELM_GENLIST/GENGRID_ITEM_CLASS_VERSION.
unsigned int | refcount
| Set it to 0 if you use your own const class, or its managed for you by class ref/unref calls.
Eina_Bool | delete_me: 1
| Leave this alone - set it to 0 if you have a const class of your own.
const char * | item_style
| Name of the visual style to use for this item. More...
const char * | decorate_item_style
| Style used if item is set to a decorate mode. More...
const char * | decorate_all_item_style
| Style to use when in edit mode, or NULL if you don't care. More...
Elm_Gen_Item_Text_Get_Cb | text_get
| Text fetching class function for genlist/gengrid item classes. More...
Elm_Gen_Item_Content_Get_Cb | content_get
| Content fetching class function for genlist/gengrid item classes. More...
Elm_Gen_Item_State_Get_Cb | state_get
| State fetching class function for genlist/gengrid item classes. More...
Elm_Gen_Item_Del_Cb | del
| Deletion class function for genlist/gengrid item classes. More...

## Detailed Description

Elm_Gen_Item_Class member definitions

## Field Documentation

Elm_Gen_Item_Content_Get_Cb _Elm_Gen_Item_Class::content_get

Content fetching class function for genlist/gengrid item classes.

const char* _Elm_Gen_Item_Class::decorate_all_item_style

Style to use when in edit mode, or NULL if you don't care.

currently it's used only in genlist.

const char* _Elm_Gen_Item_Class::decorate_item_style

Style used if item is set to a decorate mode.

See Also
  elm_genlist_item_decorate_mode_set() or NULL if you don't care. currently it's used only in genlist.

Elm_Gen_Item_Del_Cb _Elm_Gen_Item_Class::del

Deletion class function for genlist/gengrid item classes.

const char* _Elm_Gen_Item_Class::item_style

Name of the visual style to use for this item.

If you don't know use "default"

Elm_Gen_Item_State_Get_Cb _Elm_Gen_Item_Class::state_get

State fetching class function for genlist/gengrid item classes.

Elm_Gen_Item_Text_Get_Cb _Elm_Gen_Item_Class::text_get

Text fetching class function for genlist/gengrid item classes.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:15